Core - Bug # 56242

Status: Resolved Priority: Must have
Author: Markus Klein Category: Backend API
Created: 2014-02-24 Assigned To: Markus Klein
Updated: 2014-02-24 Due date:

TYPO3 Version: 6.1

PHP Version:

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: Fix JS concatenation if first file is forceOnTop = 1

Description

Fix an edge-case caused by #53116

Affected are 6.1 and 6.2.

Related issues:

related to Core - Bug # 53116: concatenatedJs in conjunction with forceOnTop Resolved 2013-10-25

Associated revisions

Revision bfd71d58 - 2014-02-24 21:11 - Benjamin Kott

[BUGFIX] Fix JS concat if first file is forced on top

If a javascript file is forceOnTop the script uses array_unshift()
to put the file at the beginning of the section array. If this is
the first file that got processed, the array does not exist yet,
so the array_unshift function returns NULL and the file

will not added to the array.

The fix properly initalizes the section sub-array.

Resolves: #56242

Releases: 6.2, 6.1

Change-Id: 123af7862263fb0685032¢c34ded8736df87ddeb99
Reviewed-on: https://review.typo3.org/27793

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

Revision 5da89e21 - 2014-02-24 21:15 - Benjamin Kott

[BUGFIX] Fix JS concat if first file is forced on top

If a javascript file is forceOnTop the script uses array_unshift()

to put the file at the beginning of the section array. If this is

the first file that got processed, the array does not exist yet,
so the array_unshift function returns NULL and the file
https://review.typo3.org/27793

will not added to the array.

The fix properly initalizes the section sub-array.

Resolves: #56242

Releases: 6.2, 6.1

Change-Id: ladf2b6f2f512929ff5e8598af9972c5337949341
Reviewed-on: https://review.typo3.0rg/27818

Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

History

#1 - 2014-02-24 16:08 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27793

#2 - 2014-02-24 16:08 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27793

#3 - 2014-02-24 16:17 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27793

#4 - 2014-02-24 21:14 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27818

#5 - 2014-02-24 21:30 - Benjamin Kott
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5da89e21c57af2a43b896296fadf3699ff78fbb2.
